Skip to main content
GET
Retrieve an agent

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agentId
string<uuid>
required

Response

Retrieve an agent

id
string<uuid>
required
name
string
required
key
string | null
required
sandboxSize
enum<string> | null
required
Available options:
nano,
micro,
small,
medium,
large,
xl,
xxl,
ultra,
null
projectId
string | null
required
templateId
string | null
required
script
string | null
required
artifactType
enum<string> | null
required
Available options:
PullRequest,
ToolCall,
Plan,
Response,
File,
Service,
Source,
null
autoDetectRepositories
boolean
default:true
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
archivedAt
string<date-time> | null
required
enabledAt
string<date-time> | null
required
organizationId
string | null
required
Required string length: 1 - 255
organizationName
string | null
required
createdBy
string | null
required
jsonContent
object | null
required

Agent document JSON. This normally contains a TipTap document rooted at { "type": "doc", "content": [...] }; unknown and future nodes, marks, attributes, and extensions are preserved.

Example:
agent
string | null
required
agentOptions
object
required

Runtime-specific Agent options. Common options include reasoningLevel, mode, speed, and goal; unknown options are preserved and validated by the selected Agent runtime when used.

Example:
mcpServers
string[]
required
Maximum array length: 100
Required string length: 1 - 200
userState
object | null
required
codeRepositories
object[]
required
Maximum array length: 250
lastRun
object | null
required
runCount
integer
required
Required range: x >= 0
scheduleCount
integer
required
Required range: x >= 0
triggerCount
integer
required
Required range: x >= 0
hasPausedSchedule
boolean
required
hasPausedTrigger
boolean
required
integrationIds
string<uuid>[]
required
integrationTypes
string[]
required